<!DOCTYPE html>
<html>
<head>
	<title>Tchat</title>
</head>
<body>
	
	<ul class="chat"></ul>

	<input type="text" id="message"/>
	<!-- <form method="POST" action="traitement.php">
		Nom : <input type="text" name="nom" id="nom">
		<input type="submit" name="valider" value="Connexion" id="connexion">
	</form> -->

	<script type="text/javascript" src="../js/jquery-3.1.1.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function() {
			var discussion = 'general';

			// on crée une var register qui contient une fonction
			// quand je renseigne mon nom, ajax va cherche le fichier traintement pour chercher si le nom est déjà enregistré et renvoy true s'il ne trouve. sinon il enregistre le nom.
			var register = function() {
				var nom = prompt("Votre nom ?");
				if (nom) {
					// code ci-dessous ajax. $.get est une méthode de ajax. les éléments seront récupérer en get (pareil pour post)
					$.get(
						'traitement.php',
						{nom: nom},
						function (reponse) {
							get(true);
						}
					);
				} else {
					register();
				}
			}

			// pour récupérer les données
			// 
			var get = function(tout) {
				var donnees = {get: ''};
				if (!tout) donnees.new = '';
				$.get(
					'traitement.php',
					donnees,
					function (reponse) {
						if (reponse == 2) register();
						else {
							if (reponse.length > 0)
								$("ul.chat").append(reponse);
						}
					}
				);
			}

			var say = function(message) {
				$.get(
					'traitement.php',
					{message: message},
					function (reponse) {
						if (reponse == 2) register();
						else $("ul.chat").append(reponse);
					}
				);
			}

			$("#message").on('keyup', function(e) {
				if (e.which == 13) {
					say($(this).val());
				}
			});

			get(true);

			var refresh = function() {
				get(false);
			}
			setInterval(refresh, 1500);

	});
	</script>
</body>
</html>